- Qt 5.15
- Qt Platform Headers
- C++ Classes
- QCocoaNativeContext
- Qt 5.15.19 Reference Documentation

# QCocoaNativeContext Struct

A class encapsulating a Cocoa NSOpenGLContext. More...

Header: | #include <QCocoaNativeContext>
Since: | Qt 5.4

This struct was introduced in Qt 5.4.

- List of all members, including inherited members

## Public Functions

| QCocoaNativeContext(NSOpenGLContext *ctx)
| QCocoaNativeContext()
NSOpenGLContext * | context() const

## Detailed Description

Note: There is no binary compatibility guarantee for this class, meaning that an application using it is only guaranteed to work with the Qt version it was developed against.

See also QOpenGLContext::setNativeHandle() and QOpenGLContext::nativeHandle().

## Member Function Documentation

### QCocoaNativeContext::QCocoaNativeContext(NSOpenGLContext *ctx)

Constructs a new instance with the provided ctx handle.

### QCocoaNativeContext::QCocoaNativeContext()

Construct a new instance with no handles.

### NSOpenGLContext *QCocoaNativeContext::context() const

Returns the context.